package com.persagy.dmp.file.service;

import com.alibaba.fastjson.JSONObject;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.List;

/***
 * Description: 向前兼容文件服务接口
 * @author : lijie
 * @date :2021/12/8 14:27
 * Update By lijie 2021/12/8 14:27
 */
public interface CompatibleOldFileService {
    /***
     * Description: 上传文件
     * @param inputStream : 文件流
     * @param response : 响应对象
     * @return : void
     * @author : lijie
     * @date :2021/12/8 14:29
     * Update By lijie 2021/12/8 14:29
     */
    String uploadFile(InputStream inputStream, HttpServletResponse response);
    /***
     * Description: 下载文件
     * @param request : 请求参数
     * @param response : 响应参数
     * @return : void
     * @author : lijie
     * @date :2021/12/8 17:06
     * Update By lijie 2021/12/8 17:06
     */
    void getFile(HttpServletRequest request, HttpServletResponse response);
    /***
     * Description: 列出文件key
     * @param param : 请求参数
     * @return : void
     * @author : lijie
     * @date :2021/12/8 18:22
     * Update By lijie 2021/12/8 18:22
     */
    List<String> listFiles(JSONObject param);
}
